Thumb= parameter on images
Closed, ResolvedPublic

Description

Author: anonmoos

Description:
Not entirely sure whether this is a bug as such, but no-one on en.wikipedia "Village pump (technical)" was able to help me, so I'm asking here:

Is the "thumb=" parameter option for image display temporarily disabled by a bug, or is it going away permanently? For example, between early September 2006 and late March 2008 this code:

[[Image:Smiley.svg|thumb=SFriendly.gif|right|Example]]

displayed SFriendly.gif at a reasonable size, but now it instead displays Smiley.svg at a huge size...


Version: unspecified
Severity: minor

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz13624.
bzimport created this task.Via LegacyApr 6 2008, 4:15 PM
brion added a comment.Via ConduitApr 7 2008, 11:32 PM

The generic parameter validation broke this, as the blanket checks were all for numeric values. Added an exception for the manualthumb param (thumb=, thumbnail=).

Fixed in r32933.

Raymond added a comment.Via ConduitApr 8 2008, 6:47 AM
  • Bug 11816 has been marked as a duplicate of this bug. ***
Gilles added a project: Multimedia.Via WebDec 4 2014, 10:49 AM
Gilles moved this task to Closed on the Multimedia workboard.Via WebDec 4 2014, 10:51 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.